@echo off
echo IBM WebSphere Commerce Server V5.4.0.1 Fixpack uninstall for Models

set JARFILENAME=WCBE54ModelsUpdate1_WIN.jar
set BACKUPJARFILENAME=WCBE54ModelsUpdate1_IN_backup.jar
set LOGFILENAME=WCBE54ModelsUpdate1_WIN.log
set UNINSTALLLOGFILENAME=uninstallWCBE54ModelsUpdate1_WIN.log

echo Enter the directory where the IBM WebSpere Application Server(WAS) is installed
GetInput WAS_HOME "For example, C:\Program Files\WebSphere\AppServer " ~washome.bat
call ~washome.bat
del ~washome.bat
REM set JDK_HOME=%WAS_HOME%\java\bin
set PATH=%WAS_HOME%\java\bin;%PATH%

:verify_was_home
echo The WAS_HOME is %WAS_HOME%
IF NOT EXIST "%WAS_HOME%"\properties\com\ibm\websphere\product.xml   goto bad_was_home

:interact
IF NOT EXIST %BACKUPJARFILENAME% goto missing_backup
IF NOT EXIST %LOGFILENAME% goto missing_log

java -jar %BACKUPJARFILENAME% -logfile %UNINSTALLLOGFILENAME%
goto end

:syntax
echo.
echo usage: uninstall WAS_HOME
echo For example, uninstall C:\Program Files\WebSphere\AppServer
echo.
goto end

:bad_was_home
echo.
echo Can not locate %WAS_HOME%\properties\com\ibm\websphere\product.xml
echo Please specify the correct WAS_HOME directory and rerun this script.
echo.
goto end

:missing_backup
echo.
echo Can not locate the files: %BACKUPJARFILENAME%
echo Please ensure you are in the backup directory before starting uninstall.
echo.
goto end

:missing_log
echo.
echo Can not locate the files: %LOGFILENAME%
echo Please ensure you are in the backup directory before starting uninstall.
echo.
goto end

:end
echo Uninstalling fixpack complete.